; How much can you do in 32 bytes on Atari?
; A visual fire-like effect with a simple music pattern
RANDOM	equ $d20a
TIMER2  equ $14
;;;;;; SOUND 
AUDC1	equ $D201

;;;;;; GFX
COLOR   equ $02fb	;Color for graphics operations

ROWCRS	equ $54		;Row of cursor, 1 byte
COLCRS	equ $55		;Column of cursor, 2 bytes

OLDROW  equ $5A
OLDCOL  equ $5B     ; 2 bytes

	
; Aliases, because orig reg names are hard to remember ;)
cursor_y    equ ROWCRS
cursor_x    equ COLCRS
prev_y      equ OLDROW
prev_x      equ OLDCOL

; OS functions
openmode  equ $ef9c
drawpoint equ $f1d8

	org $80
		
start:
	lda #5		; 2 bytes
	jsr openmode	; 3 bytes
LOOP:
	lda RANDOM
	sta cursor_x

	DCP cursor_y ; DCP = dec + and
;	dec cursor_y
;	AND cursor_y	

	lsr ; or ror
	bcc skip
	jsr drawpoint
	; x = 2, y=0
	sta color 
skip:	
	tya
	SBC TIMER2
;	STA ATRACT ; would look even fancier but no space for it

	and #%00111000 ; nice pattern ; $38
;	and #%00101000 ; also cool pattern for SBC TIMER2 ; $28

	sta AUDC1   ; louder beep
	bpl loop    ; we can use bpl because of AND 
